services:
    Akeneo\Connectivity\Connection\Infrastructure\Cli\UpdateAuditDataCommand:
        class: Akeneo\Connectivity\Connection\Infrastructure\Cli\UpdateAuditDataCommand
        arguments:
            - '@akeneo_connectivity.connection.application.audit.handler.update_data_source_product_event_count'
            - '@akeneo_connectivity_connection.persistence.query.select_hourly_intervals_to_refresh'
            - '@akeneo_connectivity_connection.persistence.query.purge_audit_product'
        tags:
            - { name: 'console.command' }

    Akeneo\Connectivity\Connection\Infrastructure\Cli\CreateConnectionCommand:
        class: Akeneo\Connectivity\Connection\Infrastructure\Cli\CreateConnectionCommand
        arguments:
            - '@akeneo_connectivity.connection.application.handler.create_connection'
        tags:
            - { name: 'console.command' }

    Akeneo\Connectivity\Connection\Infrastructure\Cli\CreateOpenIdKeysCommand:
        arguments:
            - '@Akeneo\Connectivity\Connection\Application\Apps\Command\GenerateAsymmetricKeysHandler'
        tags:
            - { name: 'console.command' }

    Akeneo\Connectivity\Connection\Infrastructure\Cli\PurgeConnectionErrorsCommand:
        arguments:
            - '@akeneo_connectivity_connection.persistence.query.select_all_auditable_connection_code'
            - '@akeneo_connectivity_connection.persistence.query.purge_connection_errors'
        tags:
            - {name: 'console.command'}

    Akeneo\Connectivity\Connection\Infrastructure\Cli\PurgeAuditErrorCommand:
        arguments:
            - '@akeneo_connectivity_connection.persistence.query.purge_audit_error'
        tags:
            - {name: 'console.command'}

    Akeneo\Connectivity\Connection\Infrastructure\Cli\PurgeEventsApiLogsCommand:
        arguments:
            - '@akeneo_connectivity_connection.persistence.query.purge_events_api_success_logs'
            - '@akeneo_connectivity_connection.persistence.query.purge_events_api_error_logs'
        tags:
            - {name: 'console.command'}
